# IHandPanel
Date: 2011-05-10

## jrummikub.view
Interface IHandPanel

All Superinterfaces:
  IClickable, IStonePanel

All Known Implementing Classes:
  HandPanel

    public interface IHandPanel

extends IStonePanel, IClickable

The view for a player's hand that displays his stones

Method Summary
`void` `setHandHeight(int height)` Set the number of stones that fit on the hand vertically
`void` `setHandWidth(int width)` Set the number of stones that fit on the hand horizontally
`void` `setStones(java.lang.Iterable<Pair<Stone,Position>> stones)` Set the player's stones to display on the board

Methods inherited from interface jrummikub.view.IStonePanel
`getRangeClickEvent, getSetClickEvent, getStoneClickEvent`

Methods inherited from interface jrummikub.view.IClickable
`getClickEvent`

Method Detail

### setStones

    void setStones(java.lang.Iterable<Pair<Stone,Position>> stones)

  Set the player's stones to display on the board

  Parameters:
    `stones` - the stones

### setHandWidth

    void setHandWidth(int width)

  Set the number of stones that fit on the hand horizontally

  Parameters:
    `width` - number of stones

### setHandHeight

    void setHandHeight(int height)

  Set the number of stones that fit on the hand vertically

  Parameters:
    `height` - number of stones